Jump to content
GreenSock

Search In
  • More options...
Find results that contain...
Find results in...
djjulia

Simple colortransform and tweening not working

Recommended Posts

Hi there. I have a simple animation I'm trying to do using a combo of the colorTransform exposure setting on instance name: bg1_mc. Here is my code: 

 

 

import com.greensock.TweenLite;
import com.greensock.*;
import com.greensock.easing.*;
import com.greensock.plugins.TweenPlugin;
import com.greensock.plugins.ColorTransformPlugin;
TweenPlugin.activate([ColorTransformPlugin]);
 
TweenLite.to(bg1_mc, 1, {alpha:1, colorTransform:{exposure:1.5}});
TweenLite.to(bg1_mc, .2, {colorTransform:{exposure:1}, delay:1});
TweenLite.to(bg1_mc, .5, {x:726.95, y:0, ease:Circ.easeOut, delay:3});

 

 

The first line works if the other two are commented out - but if they are uncommented, that bg1_mc simply doesn't show up. What I'm trying to do is fade in the movieclip set the exposure a little higher, then flash it out back to a normal exposure. Then after 3 seconds slide that movie clip off the stage. What am I doing wrong? (the instance is orig at x:0 y:0 on the stage btw)

 

Thanks! 

 

 

Link to comment
Share on other sites

Hi,

 

Sorry to hear you are having trouble.

 

I just pasted your code exactly as it is (nothing commented-out) and all 3 tweens worked fine.

I even set bg1_mc's initial alpha to 0 so that the first tween would tween to alpha:1.

 

Which version of the platform are you using?

 

To get the version add this to your code:

trace(TweenLite.version) 

I tested with 12.0.5 and 12.0.8 (latest) and it worked fine.

 

If you still have trouble after updating, please attach a zip of your file. Since I used the exact code, I'm not exactly sure what could be different but I'll try to help.

Link to comment
Share on other sites

So I did a web search and found 12.0.8 and installed it and linked it back to my file and now it's working. No idea when I install from the greensock site, I get an old and seemingly buggier version! 

Link to comment
Share on other sites

I just double-checked and 12.0.9 is the version we provide (we recently updated from 12.0.8).

 

You shouldn't be using v11 unless you absolutely have to for some reason.

 

If you need more help or clarification just let us know. You should have no problem with the latest version which you can always get here: http://www.greensock.com/?download=GSAP-AS3

or by clicking on the "getGSAP" button on any page of the site.

Link to comment
Share on other sites

Yeah I downloaded from here: http://www.greensock.com/tweenlite/ and then hit AS3 button - I just downloaded it on Friday. It was the version I listed above - I found 12.0.8 on the web - I'll go ahead and upgrade to 12.0.9 though. Thanks for tipping me off to that though. 

Link to comment
Share on other sites

Thanks for pointing out the old version floating around on that page, very helpful.

Sorry for the confusion, we'll fix that.

 

[edit] actually, having v11 there was purposeful as we still want people to have access to it prior to v12 coming out of beta. The page has been updated with new text to make it more clear[/edit]

Link to comment
Share on other sites

No problem at all. I'm like a bug magnet - if they don't find me I'll find them whether I mean to or not haha. 

 

Really excited about your product though - it's amazing what I can do in like 8 lines of code that would of taken 50 lines the old way.

 

Great job.

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    • No registered users viewing this page.
×